import { FinancialOverlay } from "./FinancialOverlay";
import { Series } from "./Series";
import { List$1 } from "igniteui-angular-core";
import { Type, Point } from "igniteui-angular-core";
import { CategoryFrame } from "./CategoryFrame";
import { AxisRange } from "./AxisRange";
import { Axis } from "./Axis";
import { FinancialSeriesView } from "./FinancialSeriesView";
import { Rect } from "igniteui-angular-core";
import { SeriesView } from "./SeriesView";
import { FinancialBucketCalculator } from "./FinancialBucketCalculator";
import { Polyline } from "igniteui-angular-core";
import { Polygon } from "igniteui-angular-core";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class BollingerBandsOverlay extends FinancialOverlay {
    static $t: Type;
    protected bk(): Series;
    constructor();
    abl: number;
    abk: number;
    protected rg(a: any, b: string, c: any, d: any): void;
    private abi;
    private abj;
    protected abb(): boolean;
    ay(a: Axis): AxisRange;
    abg: List$1<number>;
    abh: List$1<number>;
    aam(a: CategoryFrame, b: FinancialSeriesView): void;
    pb(a: boolean, b: SeriesView): void;
    i8(a: Point, b: boolean, c: boolean): number;
    ke(a: Point, b: boolean): number;
    kc(a: Point, b: boolean): number;
    hf(a: Rect, b: Rect, c: SeriesView): boolean;
    aao(a: CategoryFrame, b: FinancialSeriesView): void;
    protected ct(): SeriesView;
    q7(a: SeriesView): void;
    private abf;
    protected zg(): number;
    i0(): number;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class BollingerBandsBucketCalculator extends FinancialBucketCalculator {
    static $t: Type;
    constructor(a: FinancialSeriesView);
    protected f: BollingerBandsOverlayView;
    getBucket(a: number): number[];
}
/**
 * @hidden
 */
export declare class BollingerBandsOverlayView extends FinancialSeriesView {
    static $t: Type;
    cj: BollingerBandsOverlay;
    constructor(a: BollingerBandsOverlay);
    a4(): void;
    protected ce(): FinancialBucketCalculator;
    cl(a: number, b: (arg1: number) => number, c: (arg1: number) => number, d: (arg1: number) => number, e: (arg1: number) => number, f: (arg1: number) => number): void;
    ck(): void;
    get cn(): Polygon;
    get cs(): Polyline;
    get ct(): Polyline;
    get cu(): Polyline;
    private co;
    private cv;
    private cw;
    private cx;
    private cm;
    private cp;
    private cq;
    private cr;
    protected bq(): void;
    protected bj(a: RenderingContext, b: boolean): void;
    ax(a: any): void;
}
